ipe::Text::XForm Struct Reference

`#include <ipetext.h>`

## Public Attributes

int | iRefCount
Rect | iBBox
int | iDepth
float | iStretch
String | iName
Vector | iTranslation

## Member Data Documentation

## iRefCount

int ipe::Text::XForm::iRefCount

Referenced by ipe::Latex::createLatexSource(), ipe::Text::setXForm(), ipe::Text::Text(), and ipe::Text::~Text().

## iBBox

Rect ipe::Text::XForm::iBBox

Referenced by ipe::Latex::createLatexSource(), and ipe::Text::setXForm().

## iDepth

int ipe::Text::XForm::iDepth

Referenced by ipe::Latex::createLatexSource(), ipe::Text::depth(), ipe::Text::setXForm(), and ipe::Text::totalHeight().

## iStretch

float ipe::Text::XForm::iStretch

Referenced by ipe::Latex::createLatexSource(), ipe::PdfPainter::doDrawText(), ipe::CairoPainter::doDrawText(), and ipe::Text::setXForm().

## iName

String ipe::Text::XForm::iName

Referenced by ipe::Latex::createLatexSource(), ipe::PdfPainter::doDrawText(), and ipe::CairoPainter::doDrawText().

## iTranslation

Vector ipe::Text::XForm::iTranslation

Referenced by ipe::Latex::createLatexSource(), ipe::PdfPainter::doDrawText(), and ipe::CairoPainter::doDrawText().

The documentation for this struct was generated from the following file:

- ipetext.h